#!/bin/bash


# ps
microabc \
	aliasabc:2 \
	replaceabc:3 \
	< 24et.txt \
	> 24et-ps.abh
cat 24et-ps.abh 24et.abp | abcpp > 24et-ps.abc
abcm2ps 24et-ps.abc -O 24et.ps

# show ps
gv --spartan 24et.ps &

# midi
microabc \
	size:24 \
	aliasabc:2\ 4 \
	< 24et.txt \
	> 24et-midi.abh
cat 24et-midi.abh 24et.abp | abcpp > 24et-midi.abc
abc2midi 24et-midi.abc 1 -o 24et.mid

# check midi
# mftext 24et.mid > midi.txt

#exit

# listen
# timidity -Z24et.timidity 24et.mid

# play midi
timidity 24et.mid -Oj

# ogg
# timidity -Z24et.timidity 24et.mid -Ov -o24et.ogg

