#!/bin/bash
# Sample file for microabc

# Same macros for MIDI and PostScript
microabc < bohlen.txt > bohlen.abh

# Preprocess
cat bohlen.abh bohlen.abp | abcpp > bohlen.abc

# Generate MIDI
abc2midi bohlen.abc 1 -o bohlen.mid

# Generate PostScript
abcm2ps bohlen.abc -O=

# Generate special score
microabc diatonic:1 < bohlen.txt > special.abh
cat special.abh bohlen.abp | abcpp -BP > special.abc
abcm2ps -F bp.fmt special.abc -O special.ps


