#!/bin/bash
# Sample file for microabc

# Microtonal tuning for abc2midi
microabc -ipythagoras.txt -opytha-midi.abh
# Generate MIDI file
cat pytha-midi.abh pythagoras.abp | abcpp > pytha-midi.abc
abc2midi pytha-midi.abc -t

# ABC replacement for abcm2ps
microabc -ipythagoras.txt -opytha-ps.abh \
    replaceabc:1\ noaccid dumbacc:-1
# Generate PostScript file
cat pytha-ps.abh pythagoras.abp | abcpp > pytha-ps.abc
abcm2ps pytha-ps.abc -Opythagoras.ps
