#!/bin/bash

# abc2midi
microabc \
	size:19 \
	timidity:19et.timidity \
	< 19et.txt \
	> 19et.abh
cat 19et.abh 19et.abp | abcpp > 19et.abc
abc2midi 19et.abc 1 -o 19et.mid

# abcm2ps
microabc \
	replaceabc:5 \
	< 19et.txt \
	> 19et-ps.abh
cat 19et-ps.abh 19et.abp | abcpp > 19et-ps.abc
abcm2ps 19et-ps.abc -O 19et.ps

# show
gv --spartan 19et.ps &
# play
timidity 19et.mid -Z19et.timidity

# generate ogg vorbis file
timidity 19et.mid -Z19et.timidity -Ov -o19et.ogg
