#!/bin/bash

# generate abcpp header files

microabc -itut.txt aliasabc:0 replaceabc:0 \
        -otut-ps.ab1
microabc -itut.txt aliasabc:1 replaceabc:1 \
	-otut-ps.ab2
cat tut-ps.ab1 tut-ps.ab2 > tut-ps.abh

microabc -itut.txt -otut-mid.abh snt:tut.snt

# preprocess

cat tut-ps.abh tut.abp | abcpp > tut-ps.abc

cat tut-mid.abh tut.abp | abcpp > tut-mid.abc

# generate score

abcm2ps tut-ps.abc -O tut.ps

# generate midi

abc2midi tut-mid.abc


